<?php
#@package Joomla
#@subpackage EasyCookieInfo
#@copyright 2017 Thomas Römer
#@license http://www.gnu.org/copyleft/gpl.html GNU/GPL
#@author Thomas Römer <open@roemer-online.net>

defined( '_JEXEC' ) or die( 'Restricted access' );

// Add style declarations
$style = '#easycookieinfo {
	position: fixed;
	width: 100%;'
	. $position . ':0px;
	right: 0;
	left: 0;
	z-index: 10000;
	background: #323A38;
	color: #FFFFFF;
	border-top: 1px solid #FFFFFF;
	border-bottom: 1px solid #FFFFFF;
	border-' . $position . ':none;
	box-shadow: 0 0 30px rgba(0, 0, 0, 0.4);
	padding: 25px 0;
	box-sizing: border-box;
}

#easycookieinfo .text {
	text-align: center;
	font-size: 16px;
	padding: 0 15px 30px 15px;
	box-sizing: border-box;
}

#easycookieinfo .text > a {
	color: #51B7DE;
	text-decoration: none;
}

#easycookieinfo .text > a:hover,
#easycookieinfo .text > a:active,
#easycookieinfo .text > a:focus {
	text-decoration: underline;
}

#easycookieinfo .accept {
	text-align: center;
	box-sizing: border-box;
}

#easycookieinfo .accept > a {
	display: inline-block;
	background: #3C89A7;
	color: #FFFFFF;
	padding: 8px 15px;
	margin: 0;
	font-size: 16px;
	line-height:20px;
	text-align: center;
	vertical-align: middle;
	font-weight: bold;
	text-transform: uppercase;
	border: none;
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
    border-radius: 4px;
	text-shadow: none;
	text-decoration: none;
}

#easycookieinfo .accept > a:hover,
#easycookieinfo .accept > a:focus,
#easycookieinfo .accept > a:active {
	background-color: #367B96;
	color: #FFFFFF;
	text-decoration: none;
}

@media (min-width: 700px) {
	#easycookieinfo .text {
		float: left;
		font-size: 18px;
		width: 70%;
		text-align: left;
		padding: 4px 15px 0 30px;		
	}

	#easycookieinfo .accept {
		float: right;
		width: 30%;
		text-align: right;
		padding: 0 30px 0 15px;	
	}
}'; 

$document = JFactory::getDocument();
$document->addStyleDeclaration($style);
if($params->get('jquery')) echo '<script src="media/jui/js/jquery.min.js"></script>';
?>
<noscript>
	<div id="easycookieinfo">
		<div class="text"><?php echo $info_text; ?><?php echo $link; ?></div>
		<div class="accept"><a href="<?php echo $currentURL; ?>"><?php echo $button_caption; ?></a></div>
	</div>
</noscript>
<script type="text/javascript">
    jQuery(document).ready(function() {
	
		var panel = '<div id="easycookieinfo" style="display:none;">';
			panel += '<div class="text"><?php echo $info_text; ?><?php echo $link; ?></div>';
			panel += '<div class="accept"><a href="#"><?php echo $button_caption; ?></a></div>';
			panel += '</div>';

		jQuery('body').append(panel);
		setTimeout(showPanel, 1200);
		
		function showPanel() {
			jQuery('#easycookieinfo').slideDown('slow');
		}
	
		jQuery('.accept a').on('click', function() {
			var exp_date = new Date();
			exp_date.setTime(exp_date.getTime() + (1000*3600*24*365));
			document.cookie = '<?php echo $cookie_name; ?>=accepted;expires='+exp_date.toUTCString()+';path=/';
			jQuery('#easycookieinfo').slideUp('slow');
			
			return false;
		});
    });
</script>